Instalacja DockbarX w Fedorze - problem z bibliotekami


(Konqui96) #1

Witam.

Ostatnio przerzuciłem się na Fedorę 11 i wszystko jest ok. Wszystko z wyjątkiem apletu DockbarX do panelu GNOME. Problem leży w tym, że potrzebuje on do pracy pakietu python-gnome2-desktop, oraz opcjonalnie python-numpy, a takich pakietów nie ma niestety w repozytoriach Fedory. Szukałem w Google, ale na darmo. Czy ktoś wie skąd wziąć wymienione pakiety. Oczywiście w razie potrzeby mógłbym spróbować je skompilować...

Pozdrawiam i z góry dziękuję za pomoc :slight_smile:


(matiit) #2

Gnome-python-desktop: http://ftp.gnome.org/pub/gnome/sources/ ... .0.tar.bz2


(Konqui96) #3

No i mam problem przy kompilacji, daję ./configure, a ono sprawdza, czy mam tam wszystko poinstalowane, no i na końcu wypluwa mi

3) were not met:


No package 'pygtk-2.0' found

Zamiest pygtk-2.0 w Fedorze istnieje pakiet pygtk2, który mam już zainstalowany, co teraz?


(matiit) #4

Pewnie nie masz nagłówków zainstalowanych... poszukaj pygtk-2.0-dev itd.

Ale strzelam że pakiet do którego dawałem linka jest w fedorze, jestem na 99% pewien.


(Konqui96) #5

Zainstalowałem pygtk2-devel, ale później znowu czegoś brakuje, a ta z kolei zależność ciągnie za sobą następne. Znalazłem w Fedorze pakiet gnome-python2-desktop, ale i tak jego instalacja nie rozwiązuje problemu. To wszystko jest daremne. Jak to możliwe, że w repozytoriach Fedory nie ma kilku podstawowych pakietów?